curl --request GET \
--url https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"purchase_id": "<string>",
"stockable_id": "<string>",
"stockable_unit_id": "<string>",
"stockable": {},
"stockable_unit": {},
"quantity": 123,
"remaining": 123,
"unit_cost": 123,
"vat_rate": "<string>",
"vat_total": 123,
"unit_cost_ttc": 123,
"cost_total": 123,
"cost_total_ttc": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}View a purchase line
Shows one line of a purchase.
curl --request GET \
--url https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/purchases/{purchase}/items/{item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"purchase_id": "<string>",
"stockable_id": "<string>",
"stockable_unit_id": "<string>",
"stockable": {},
"stockable_unit": {},
"quantity": 123,
"remaining": 123,
"unit_cost": 123,
"vat_rate": "<string>",
"vat_total": 123,
"unit_cost_ttc": 123,
"cost_total": 123,
"cost_total_ttc": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}purchase_items.retrieve
Part of Create and approve purchases.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the purchase that owns the line.
Identifier of the purchase line.
Query Parameters
Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, purchase_id, stockable_id, stockable_unit_id, quantity, remaining, unit_cost, vat_rate, vat_total, unit_cost_ttc, cost_total, cost_total_ttc, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: stockable, stockable.vat_rate, stockable.taxes, stockable.units, stockableUnit, stockableUnit.uomUnit, stockableUnit.prices, stockableUnit.stockable.
Response
Resource.
Identifier of the purchase line (27-character KSUID).
Identifier of the purchase the line belongs to.
Identifier of the item (product variant) bought.
Identifier of the item unit (unit of measure) bought; unique within a purchase.
The item bought. Present only when requested with include=stockable.
The unit of the line. Present only when requested with include=stockableUnit.
Quantity bought, in the line's unit.
Quantity not yet received. Starts equal to quantity and is reset to quantity when the line is edited.
Cost of one unit before VAT. 0 under the total cost strategy, where costs are not entered per line. In major units (the stored minor-unit amount divided by 10 to the power currency_exponent).
VAT rate in percent with four decimals (for example "18.0000"); null under the total cost strategy.
VAT of the line (unit cost times quantity times rate, rounded half up). Null under the total cost strategy. In major units (the stored minor-unit amount divided by 10 to the power currency_exponent).
Cost of one unit including VAT; under the total strategy the invoice total divided by the total quantity (integer division). In major units (the stored minor-unit amount divided by 10 to the power currency_exponent).
Cost of the line before VAT (unit cost times quantity). Null under the total cost strategy. In major units (the stored minor-unit amount divided by 10 to the power currency_exponent).
Cost of the line including VAT. In major units (the stored minor-unit amount divided by 10 to the power currency_exponent).
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).